List Elysium transactions
curl --request GET \
--url https://api.hypedexer.com/elysium/testnet/transactionsimport requests
url = "https://api.hypedexer.com/elysium/testnet/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hypedexer.com/elysium/testnet/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"block_time": "2023-11-07T05:31:56Z",
"block_number": 123,
"tx_index": 123,
"tx_hash": "<string>",
"tx_type": "<string>",
"from_addr": "<string>",
"to_addr": "<string>",
"contract_address": "<string>",
"value_wei": "<string>",
"nonce": 123,
"gas_limit": 123,
"gas_used": 123,
"gas_used_for_l1": 123,
"effective_gas_price": 123,
"success": 123,
"input_len": 123,
"method_id": "<string>",
"is_system": 123,
"is_spam": 123
}
],
"execution_time_ms": 123,
"has_more": true
}Transactions
List Elysium transactions
List Elysium transactions
GET
/
elysium
/
testnet
/
transactions
List Elysium transactions
Headers
Query Parameters
Filter by block number
Filter by sender
Pattern:
^0x[0-9a-fA-F]{40}$Filter by recipient
Pattern:
^0x[0-9a-fA-F]{40}$Filter by 4-byte function selector
Pattern:
^0x[0-9a-fA-F]{8}$Filter by type: 0x0, 0x2, 0x64 (deposit), 0x68 (retry), 0x69 (retryable), 0x6a (system)
Start time (UTC)
End time (UTC)
Include ArbOS system transactions (0x6a)
Include known spam (empty transfers to 0x…dead, pulse() heartbeats)
Required range:
1 <= x <= 1000Required range:
x >= 0